From aacc13e7f365dd58e65d70eea78607447f49fb1a Mon Sep 17 00:00:00 2001
From: Antonio Huete Jimenez <tuxillo@quantumachine.net>
Date: Thu, 14 Oct 2010 21:55:01 +0200
Subject: [PATCH 3/3] moused(8) - Add Synaptics touchpads to the model list.

Obtained-from: FreeBSD
---
 usr.sbin/moused/moused.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/usr.sbin/moused/moused.c b/usr.sbin/moused/moused.c
index 4c3c5a1..1b6894d 100644
--- a/usr.sbin/moused/moused.c
+++ b/usr.sbin/moused/moused.c
@@ -223,6 +223,7 @@ static symtab_t	rmodels[] = {
     { "IntelliMouse Explorer",	MOUSE_MODEL_EXPLORER },
     { "4D Mouse",		MOUSE_MODEL_4D },
     { "4D+ Mouse",		MOUSE_MODEL_4DPLUS },
+    { "Synaptics Touchpad",	MOUSE_MODEL_SYNAPTICS },
     { "generic",		MOUSE_MODEL_GENERIC },
     { NULL,			MOUSE_MODEL_UNKNOWN },
 };
-- 
1.7.0.5

